diff --git mscore/mscore/scoreview.cpp mscore/mscore/scoreview.cpp
index a17931d..0d283a0 100644
--- mscore/mscore/scoreview.cpp
+++ mscore/mscore/scoreview.cpp
@@ -2392,8 +2392,17 @@ void ScoreView::wheelEvent(QWheelEvent* event)
             return;
             }
       if (event->modifiers() & Qt::ControlModifier) {
+            // 
+            // zoom in/out
+            //
             QApplication::sendPostedEvents(this, 0);
-            zoom(event->delta() / 120, event->pos());
+      
+            // we sum the delta, because if the user scrolls slowly, otherwise he won't get any scroll at all
+            static int deltaSum = 0;
+            deltaSum += event->delta();
+            
+            zoom(deltaSum / 120, event->pos());
+            deltaSum %= 120;
             return;
             }
       int dx = 0;
@@ -2405,7 +2414,11 @@ void ScoreView::wheelEvent(QWheelEvent* event)
             int n = width() / 10;
             if (n < 2)
                   n = 2;
-            dx = event->delta() * n / 120;
+                  
+            static int deltaSum = 0;
+            deltaSum += event->delta() * n;
+            dx = deltaSum / 120;
+            deltaSum %= 120;
             }
       else {
             //
@@ -2414,7 +2427,11 @@ void ScoreView::wheelEvent(QWheelEvent* event)
             int n = height() / 10;
             if (n < 2)
                   n = 2;
-            dy = event->delta() * n / 120;
+                  
+            static int deltaSum = 0;
+            deltaSum += event->delta() * n;
+            dy = deltaSum / 120;
+            deltaSum %= 120;
             }
 
       _matrix.setMatrix(_matrix.m11(), _matrix.m12(), _matrix.m13(), _matrix.m21(),
